> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a reaction

> Add an emoji reaction to a message on a connected integration.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /actions/add_reaction
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /actions/add_reaction:
    post:
      tags:
        - Actions
      summary: Add a reaction
      description: Add an emoji reaction to a message on a connected integration.
      operationId: add_reaction_actions_add_reaction_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddReactionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Hyperspell from '@hyperspell/hyperspell';

            const client = new Hyperspell({
              apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.actions.addReaction({
              channel: 'channel',
              name: 'name',
              provider: 'reddit',
              timestamp: 'timestamp',
            });

            console.log(response.provider_response);
        - lang: Python
          source: |-
            import os
            from hyperspell import Hyperspell

            client = Hyperspell(
                api_key=os.environ.get("HYPERSPELL_API_KEY"),  # This is the default and can be omitted
            )
            response = client.actions.add_reaction(
                channel="channel",
                name="name",
                provider="reddit",
                timestamp="timestamp",
            )
            print(response.provider_response)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/hyperspell/hyperspell-go\"\n\t\"github.com/hyperspell/hyperspell-go/option\"\n)\n\nfunc main() {\n\tclient := hyperspell.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Actions.AddReaction(context.TODO(), hyperspell.ActionAddReactionParams{\n\t\tChannel:   \"channel\",\n\t\tName:      \"name\",\n\t\tProvider:  hyperspell.ActionAddReactionParamsProviderReddit,\n\t\tTimestamp: \"timestamp\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.ProviderResponse)\n}\n"
        - lang: CLI
          source: |-
            hyperspell actions add-reaction \
              --api-key 'My API Key' \
              --channel channel \
              --name name \
              --provider reddit \
              --timestamp timestamp
components:
  schemas:
    AddReactionRequest:
      properties:
        provider:
          $ref: '#/components/schemas/DocumentProviders'
          description: Integration provider (e.g., slack)
        connection:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection
          description: Connection ID. If omitted, auto-resolved from provider + user.
        channel:
          type: string
          title: Channel
          description: Channel ID containing the message
        timestamp:
          type: string
          title: Timestamp
          description: Message timestamp to react to
        name:
          type: string
          title: Name
          description: Emoji name without colons (e.g., thumbsup)
      type: object
      required:
        - provider
        - channel
        - timestamp
        - name
      title: AddReactionRequest
      description: Add an emoji reaction to a message.
    ActionResult:
      properties:
        success:
          type: boolean
          title: Success
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        provider_response:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provider Response
      type: object
      required:
        - success
      title: ActionResult
      description: Result from executing an integration action.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentProviders:
      type: string
      enum:
        - reddit
        - notion
        - slack
        - google_calendar
        - google_mail
        - box
        - dropbox
        - github
        - google_drive
        - vault
        - web_crawler
        - trace
        - microsoft_teams
        - gmail_actions
        - granola
        - fathom
        - fireflies
        - linear
        - hubspot
        - salesforce
        - coda
        - lightfield
        - gong
        - pylon
        - clickup
      title: DocumentProviders
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````